<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Relations\Pivot;

abstract class AbstractAntibiogrammeResult extends Pivot
{
    /**  
     * Primary key name.
     * 
     * @var string
     */
    public $primaryKey = 'antibiotique_id';
    
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * Primary key is non-autoincrementing.
     * 
     * @var bool
     */
    public $incrementing = false;
    
    /**  
     * Do not automatically manage timestamps by Eloquent
     * 
     * @var bool
     */
    public $timestamps = false;
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'antibiotique_id' => 'integer',
        'antibiogramme_id' => 'integer',
        'result' => 'string'
    ];
}
